com.brightcove.freewheel.event

## Class FreeWheelEventType

- java.lang.Object
- - com.brightcove.freewheel.event.FreeWheelEventType

-     public final class FreeWheelEventType
      extends java.lang.Object

  Contains String constants for the EventTypes used by the FreeWheel plugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DID_LOAD_AD_MANAGER` Emitted when the FreeWheel Ad Manager has been loaded.
    `static java.lang.String` | `DID_SUBMIT_AD_REQUEST` Emitted after the Plugin makes an Ad Request
    `static java.lang.String` | `LOCK` Used when the freewheel plugin 'locks' and restricts certain events from bubbling up
    `static java.lang.String` | `SHOW_DISPLAY_ADS` Alert to listeners that there is a new Display ad ready for layout.
    `static java.lang.String` | `UNLOCK`
    `static java.lang.String` | `WILL_SUBMIT_AD_REQUEST` Emitted before the Plugin makes an Ad Request.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeWheelEventType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCK

          public static final java.lang.String LOCK

      Used when the freewheel plugin 'locks' and restricts certain events from bubbling up
      See Also:
        Constant Field Values

    - #### UNLOCK

          public static final java.lang.String UNLOCK

      See Also:
        Constant Field Values

    - #### DID_LOAD_AD_MANAGER

          public static final java.lang.String DID_LOAD_AD_MANAGER

      Emitted when the FreeWheel Ad Manager has been loaded.
      See Also:
        Constant Field Values

    - #### SHOW_DISPLAY_ADS

          public static final java.lang.String SHOW_DISPLAY_ADS

      Alert to listeners that there is a new Display ad ready for layout. Event will contain a list of ad slots
      See Also:
        Constant Field Values

    - #### WILL_SUBMIT_AD_REQUEST

          public static final java.lang.String WILL_SUBMIT_AD_REQUEST

      Emitted before the Plugin makes an Ad Request. Can be used by developers as an opportunity to edit the AdContext before a request
      See Also:
        Constant Field Values

    - #### DID_SUBMIT_AD_REQUEST

          public static final java.lang.String DID_SUBMIT_AD_REQUEST

      Emitted after the Plugin makes an Ad Request
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FreeWheelEventType

          public FreeWheelEventType()